diff --git a/src/backend/catalog/Catalog.pm b/src/backend/catalog/Catalog.pm
index 3b3bb6b..02bd6d4 100644
--- a/src/backend/catalog/Catalog.pm
+++ b/src/backend/catalog/Catalog.pm
@@ -340,7 +340,6 @@ sub RenameTempFile
 	my $final_name = shift;
 	my $extension  = shift;
 	my $temp_name  = $final_name . $extension;
-	print "Writing $final_name\n";
 	rename($temp_name, $final_name) || die "rename: $temp_name: $!";
 }
 
diff --git a/src/backend/catalog/genbki.pl b/src/backend/catalog/genbki.pl
index d0afcc7..2689f73 100644
--- a/src/backend/catalog/genbki.pl
+++ b/src/backend/catalog/genbki.pl
@@ -217,6 +217,7 @@ my %lookup_kind = (
 
 # Generate postgres.bki, postgres.description, postgres.shdescription,
 # and pg_*_d.h headers.
+print "Generating BKI files and symbol definition headers...\n";
 
 # version marker for .bki file
 print $bki "# PostgreSQL $major_version\n";
diff --git a/src/backend/utils/Gen_fmgrtab.pl b/src/backend/utils/Gen_fmgrtab.pl
index 3b112c6..4f5af79 100644
--- a/src/backend/utils/Gen_fmgrtab.pl
+++ b/src/backend/utils/Gen_fmgrtab.pl
@@ -84,6 +84,8 @@ my $FirstBootstrapObjectId = Catalog::FindDefinedSymbol(
 my $INTERNALlanguageId = Catalog::FindDefinedSymbolFromData(
 	$catalog_data{pg_language}, 'INTERNALlanguageId');
 
+print "Generating fmgrtab.c, fmgroids.h, and fmgrprotos.h...\n";
+
 # Collect certain fields from pg_proc.dat.
 my @fmgr = ();
 
diff --git a/src/tools/msvc/Solution.pm b/src/tools/msvc/Solution.pm
index b267c19..f953460 100644
--- a/src/tools/msvc/Solution.pm
+++ b/src/tools/msvc/Solution.pm
@@ -275,7 +275,6 @@ s{PG_VERSION_STR "[^"]+"}{PG_VERSION_STR "PostgreSQL $self->{strver}$extraver, c
 			'fmgrtab.c', '../../../src/include/access/transam.h')
 		)
 	{
-		print "Generating fmgrtab.c, fmgroids.h, fmgrprotos.h...\n";
 		system(
 "perl -I ../catalog Gen_fmgrtab.pl -I../../../src/include/ $pg_language_dat $pg_proc_dat");
 	}
@@ -479,7 +478,6 @@ EOF
 				'src/backend/catalog/postgres.bki',
 				"src/include/catalog/$bki"))
 		{
-			print "Generating BKI files and symbol definition headers...\n";
 			chdir('src/backend/catalog');
 			my $bki_srcs = join(' ../../../src/include/catalog/', @bki_srcs);
 			system("perl genbki.pl --set-version=$self->{majorver} $bki_srcs");
